IF OBJECT_ID('dbo.fntb_acum_conc_cnc') IS NOT NULL
    DROP FUNCTION dbo.fntb_acum_conc_cnc
GO
CREATE FUNCTION dbo.fntb_acum_conc_cnc
(
    @pch_compania char(4),
    @psi_concepto smallint,
    @psi_anio smallint,
    @pti_mes tinyint
)
/*********************************************/      
/*
 Data Tecnologia Ltda.   
 Descripcion:  
    Devuelve trabajador, importe y tiempo, para la compañía, agrupación de conceptos, año y mes dados 
    a partir de [acum_concepto]
 Autor: Juan Carlos Leguizamon  
 Fecha: Octubre de 2003
 Revisión: Junio de 2005
*/
/*********************************************/      
RETURNS TABLE 
AS
RETURN
(
    SELECT 
        a.trabajador, 
        importe = SUM(importe),
        tiempo = SUM(a.tiempo),
        a.referencia
    FROM acum_concepto a
    WHERE
        a.compania = @pch_compania AND 
        a.concepto = @psi_concepto AND 
        a.anio = @psi_anio AND 
        a.mes_acumular = @pti_mes
    GROUP BY
        a.trabajador, a.referencia
)
GO
GRANT SELECT ON fntb_acum_conc_cnc TO PUBLIC
GO
